Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 19696 - Running arpwatch as non root user
Running arpwatch as non root user
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-24 12:30 EDT by Jarno Huuskonen
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 07:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for arpwatch-2.1a9 to drop root privs after init. (2.11 KB, patch)
2000-10-24 12:32 EDT, Jarno Huuskonen
no flags Details | Diff
Arpwatch man page patch. (826 bytes, patch)
2000-10-24 12:33 EDT, Jarno Huuskonen
no flags Details | Diff

  None (edit)
Description Jarno Huuskonen 2000-10-24 12:30:22 EDT
Hi,

I made a patch for arpwatch-2.1a10 that allows it to drop root privileges
after opening (pcap_open_live) socket. I'm attaching the patch in case
you are interested (it adds -u command line parameter).
I'm also attaching a man page patch (by Pekka Savola) that describes
the -u parameter.

-Jarno
Comment 1 Jarno Huuskonen 2000-10-24 12:32:26 EDT
Created attachment 4613 [details]
Patch for arpwatch-2.1a9 to drop root privs after init.
Comment 2 Jarno Huuskonen 2000-10-24 12:33:28 EDT
Created attachment 4614 [details]
Arpwatch man page patch.
Comment 3 Daniel Roesen 2000-10-26 07:25:22 EDT
Request for inclusion of this patch strongly seconded.
Comment 4 Jeff Johnson 2000-11-02 08:14:56 EST
Fixed (patches added) in tcpdump-3.4-32.
Comment 5 Andrew Bartlett 2000-12-31 21:31:04 EST
However arpwatch still runs as root - as stated in bug 21737 a new user/group
needs to be added for arpwatch to use.

Note You need to log in before you can comment on or make changes to this bug.